Page MenuHomePhabricator

Some metrics don't work in the topic selector
Closed, ResolvedPublic

Description

Metrics whose full name converted to kebab case doesn't match their key name don't work in the topic selector, as the questions assume they're always equal.

Event Timeline

fdans created this task.Feb 26 2018, 4:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 26 2018, 4:34 PM
Nuria edited projects, added Analytics; removed Analytics-Kanban.Mar 22 2018, 4:14 PM
fdans triaged this task as High priority.Mar 26 2018, 4:20 PM
fdans moved this task from Incoming to Wikistats Beta on the Analytics board.

Change 423351 had a related patch set uploaded (by Sahil505; owner: Sahil505):
[analytics/wikistats2@master] Corrected kebab case - key name mismatch of metrics in topic selector

https://gerrit.wikimedia.org/r/423351

sahil505 claimed this task.Apr 1 2018, 9:49 PM
sahil505 added subscribers: mforns, Nuria.

Change 423772 had a related patch set uploaded (by Sahil505; owner: Sahil505):
[analytics/wikistats2@master] Corrected kebab case - key name mismatch of metrics in topic selector

https://gerrit.wikimedia.org/r/423772

Change 423351 abandoned by Sahil505:
Corrected kebab case - key name mismatch of metrics in topic selector

Reason:
Had some issue with merging, so abandoning this. Sorry.

https://gerrit.wikimedia.org/r/423351

Change 423351 restored by Sahil505:
Corrected kebab case - key name mismatch of metrics in topic selector

https://gerrit.wikimedia.org/r/423351

Change 423772 abandoned by Sahil505:
Corrected kebab case - key name mismatch of metrics in topic selector

Reason:
Corrected the previous patch. Phew :-)

https://gerrit.wikimedia.org/r/423772

Change 423772 restored by Sahil505:
Corrected kebab case - key name mismatch of metrics in topic selector

https://gerrit.wikimedia.org/r/423772

Change 423772 abandoned by Sahil505:
Corrected kebab case - key name mismatch of metrics in topic selector

https://gerrit.wikimedia.org/r/423772

Sorry for all the above mess. Was facing some issues with merging/commits. Successfully restored.

Change 423351 merged by Mforns:
[analytics/wikistats2@master] Corrected kebab case - key name mismatch of metrics in topic selector

https://gerrit.wikimedia.org/r/423351

mforns closed this task as Resolved.May 7 2018, 8:37 PM